Creates a new unavailability

Request Information

URI Parameters :

None.

Body Parameters :

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Request Formats :

application/json, text/json

Sample:
{
  "id": "3941383e-9764-4f05-9d88-aea069d766e2",
  "date_start": "2026-11-07T01:45:05.9959158+00:00",
  "date_end": "2026-11-07T01:45:05.9959158+00:00",
  "modified_dateutc": "2026-11-07T01:45:05.9959158+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "e5e35374-d779-4635-96f7-1f7cb2f97b3e",
  "user_code": "sample string 8",
  "user": {
    "id": "00a29c06-c2dd-4fea-a4e4-d6121bf9e7e6",
    "db_language_id": "35de1a90-cc88-40f4-aedc-1b7215c01782",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-07T01:45:06.007597+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "7dc95b6e-18fe-4e60-833e-1b289faf4f07",
    "sales_organization": {
      "id": "5996a9ed-83a2-40f0-9ea2-823b4edcaf41",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "5e3547cd-a2d3-4f6b-a21d-f167236cfc67",
      "db_currency_id": "c87638b7-f7fa-463c-9a62-f610a7cdeb2b",
      "db_language_id": "9b4a3cef-f22f-49bd-92e5-6342f0a0a6dc",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-07T01:45:06.0232211+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "68f4ca38-169e-468f-aeba-df13ef98905f",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "5117000a-9564-4c4d-bc5a-ea3ca79f0a5e",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-07T01:45:06.0232211+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "b499fee2-d173-41e8-9a00-e297825843a3"
  },
  "user_unavailability_type_id": "a3a22304-c6fa-4af4-b48a-089fb36e323e",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "e6ab456c-037c-454e-9bb2-23d0c033326f",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "fa6bc8f8-5abb-4b48-8984-f1067df96d4e",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "5996a9ed-83a2-40f0-9ea2-823b4edcaf41",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "5e3547cd-a2d3-4f6b-a21d-f167236cfc67",
      "db_currency_id": "c87638b7-f7fa-463c-9a62-f610a7cdeb2b",
      "db_language_id": "9b4a3cef-f22f-49bd-92e5-6342f0a0a6dc",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-07T01:45:06.0232211+00:00"
    },
    "modified_dateutc": "2026-11-07T01:45:06.0232211+00:00"
  }
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.